Subject: [Gen-art] Gen-ART review of draft-ietf-enum-validation-token-03.txt

From: Brian E Carpenter <[email-masked]>
Date: Mon, 02 Jul 2007 12:07:00 +0200

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 17 Jul 2007 08:25:53 +0200

Otmar,

Thanks for the clarifications. I have no further questions.
It would probably be good to have an IETF-wide
answer to my question about ISO 3166, but I don't think
that should delay your document.

[Patrik - do you have an answer re 3166? The question is
how to cite the up-to-date list of country codes.]

     Brian

On 2007-07-16 17:31, Otmar Lendl wrote:
> On 2007/07/02 12:07, Brian E Carpenter <[email-masked]> wrote:
> 
>> I have been selected as the General Area Review Team (Gen-ART)
>> reviewer for this draft (for background on Gen-ART, please see
>> http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).
> 
> Thanks for the review.
> 
> I've been going through your comments and the IESG's and have put
> some more polishing touches on the text.
> 
>> Summary: This draft is ready, with some minor questions.
>>
>> Comments:
>>
>> Substantive:
>> ------------
>>
>> This seems clear and straightforward. I have not checked the XML
>> with a parser. A few minor questions:
> 
> Whoever wants to check the xml: The examples were generated using
> http://www.ienum.ie/images/ENUM-Clienttoolkit.tar.gz (plus
> some scripts to reformat the XML for the line-length limitations.)
> 
>>> 4.1.  The <validation> Element
>> ...
>>>    o  An optional <lastE164Number> element.  If present it indicates
>>>       that the whole number block starting with <E164Number> up to and
>>>       including <lastE164Number> has been validated.  To avoid
>>>       ambiguity, both numbers must be of the same length.
>> Isn't it the case that some countries (e.g. Germany) use variable
>> length numbers within a single PABX? How will that be handled?
> 
> Here in Austria we're using open numbering plans as well, so we
> had that very much in mind. It's rather simple: The delegation
> from the ENUM registry to the number-owner is on the head-number
> of the PABX which transforms all extension numbers behind that
> PABX number into subdomains on the customer's nameserver.
> 
> Such cases thus just require a single delegation and thus a
> single validation token which contains the pilot number (or "prefix")
> of the PABX.
> 
>>> 4.2.  The <tokendata> Element
>> ...
>>>    o  A single <address> section containing the following elements:
>> I'm a little concerned that this may be too simply defined.
>> If you look at section 3.4. "Civic Address Components" of RFC 4676,
>> you will see the results of a thorough approach.
> 
> We considered that. 
> 
> The choice was between this all-encompassing scheme and the
> white-pages access protocol of the ITU. As the latter already
> has a XML scheme and as the reference DB of validation information
> will often be the local white pages directory, we opted to use
> that one.
> 
> That's definitly a judgement call.
> 
>>>    ... The <ISOcountryCode> element specifies the country using the
>>>    ISO 3166 [11] code.
>> Does that reference dated 1988 automatically pull in the latest
>> list of country codes?
> 
> Not sure about that. I've checked other RFCs (this is certainly not
> the first one to reference country codes) and they don't contain
> a better reference (i.e. 4676 uses it, but doesn't provide a
> reference).
> 
>>> 8.  IANA Considerations
>>>
>>>    This document uses URNs to describe XML namespaces and XML schemas
>>>    conforming to a registry mechanism described in RFC 3688 [13]. 
>> That looks like a normative reference to me.
> 
> ok, changed.
> 
>> Editorial:
>> ----------
>>
>>    [9]   3rd, D., Boyer, J., and J. Reagle, "Exclusive XML
>>          Canonicalization Version 1.0", W3C REC REC-xml-exc-c14n-
>>          20020718, July 2002.
>>
>> Has lost part of the authors' names.
> 
> oops, that was a reference from http://xml.resource.org/
> 
> fixed.
> 
> /ol

---

From: Patrik Fältström <[email-masked]>
Date: Tue, 17 Jul 2007 08:51:22 +0200

>> a better reference (i.e. 4676 uses it, but doesn't provide a

[I am cc:ing Jaap that is also working with ISO 3166 so he can object  
to what I am suggesting, if needed]

First of all you have to make up your mind if you really want to use  
the 3166 list or the list of codes used in the DNS. There are a few  
differences between the two lists. I presume you really want to  
reference 3166.

I would say:

The <ISOcountryCode> element specifies the country using the alpha-2  
country code from the ISO 3166-2:1988 list of countries and their  
subdivisions.

If your intention was to reference the list of country codes as used  
in DNS, come back and I can help with that as well. Also note that a  
reference like this only reference the codes that actually are on the  
3166-1 list. "EU" is not for example.

    Patrik

---

From: Patrik Fältström <[email-masked]>
Date: Wed, 18 Jul 2007 06:15:27 +0200

On 18 jul 2007, at 05.33, Jaap Akkerhuis wrote:

> The list of reserved codes is also maintained by the 3166 MA but
> not published.

Also note that the reserved code list was published until EU wrote  
the famous letter to ICANN asking for the .EU TLD with argument that  
it was on the reserved list (although they said "is on the list" or  
similar). 3166/MA objected to use of EU (but in a very political  
correct way), but head of ICANN had already sort of promised some  
high person in EU to get that TLD...

3166/MA then decided to not publish that list from that day, although  
it is known of course. To make sure there is no misunderstanding on  
what codes are on the list and not. Just see Wikipedia for all codes.

3166/MA was not happy. But, they only register things that are in  
use, and in the case of EU, it is now reserved pretty strongly  
because ICANN choose to use it as a TLD. Not the other way around.  
EUR was the registered 3-letter code that was needed for the currency  
Euro, and because they need 2-letter codes for all 3-letter codes, EU  
was reserved (even though it was not in use anywhere).

    Patrik

---

From: Jaap Akkerhuis <[email-masked]>
Date: Wed, 18 Jul 2007 05:33:10 +0200

Hi all,

Someone wants to send this to [email-masked] when this bounces.

I'm also on vacation which will be interrupted by the ietf in Chicago so
this will be a brief reaction.

The ISO standard of alpha-2 (and alph-3 and the numeric values)
country codes is actually part one of ISO 3166. Parts are seperated
from the standard number with a hyphen; after the date of publication
comes after a colon.  The latest version appeared in 2006, so the
official reference to the standard document is ISO 3166-1:2006.
(The part 2 of the standard is codes for the subdivisions and part
3 is the list of the historic alpha-2 codes that are not in use
anymore).
    
    I would say:

This is fine (but do correct it for part 1, ISO 3166-1:2006) if you
mean the base document. If you want the official list, you should
also take in the Newsletters from 3166 MA into account. The MA
(Maintenance Agency is maintaining the current list because that
changes much more then the standards. The Newsletters are published
by the MA and update the standard when needed.
(See http://www.iso.org/iso/en/prods-services/iso3166ma/01whats-new/index.html
for the latest versions and announcements).

The ISO 3166 documents costs money but a current list is kept on
the web:
http://www.iso.org/iso/en/prods-services/iso3166ma/02iso-3166-code-lists/index.html
(and the page says it is free!).

        Patrik

Yes, that is an interesting twist. The EU code is on the "reserved
list" with the special remark saying it can be used by "any application
needing to represent the name European Union".

Some other reserved codes used as TLDs are UK, IO, AC are also taken
from the reserved, but note that not all reserved codes are used as
TLDs.

The list of reserved codes is also maintained by the 3166 MA but
not published.  There is a MA document with this list and you can
get this list by writing the secretariat. However, they also publish
a "ISO 3166-1 decoding table"
(http://www.iso.org/iso/en/prods-services/iso3166ma/02iso-3166-code-lists/iso_3166-1_decoding_table.html),
a 26x26 matrix with all the codes and a list with the status so you
don't really need to write (although the table doesn't has all
details).

And did I already mentioned that not all ISO 3166-1:2006 alpha-2 codes
actually are delegated? I think there are 5 or 6. What I remember is KP
(North Korea), EH (Western Sahara), UM (US Minor Islands or so) and RS
(Serbia), ME (Montenegro) and I'm sure I forgot one.

So, coming back to the original question, the answer is, your mileage
varies. It really depends what you want to refer to.

Anyway, for more details, speak to me in Chicago. (Or mail again).

	jaap